Bug 1297471 (CVE-2015-7974) - CVE-2015-7974 ntp: missing key check allows impersonation between authenticated peers (VU#357792)
Summary: CVE-2015-7974 ntp: missing key check allows impersonation between authenticat...
Status: CLOSED ERRATA
Alias: CVE-2015-7974
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160120,reported=2...
Keywords: Security
Depends On: 1300277 1317795
Blocks: 1297474 1323912
TreeView+ depends on / blocked
 
Reported: 2016-01-11 15:33 UTC by Martin Prpič
Modified: 2019-06-08 20:55 UTC (History)
5 users (show)

(edit)
A flaw was found in the way NTP verified trusted keys during symmetric key authentication. An authenticated client (A) could use this flaw to modify a packet sent between a server (B) and a client (C) using a key that is different from the one known to the client (A).
Clone Of:
(edit)
Last Closed: 2016-01-20 14:32:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2583 normal SHIPPED_LIVE Moderate: ntp security and bug fix update 2016-11-03 12:08:36 UTC

Description Martin Prpič 2016-01-11 15:33:45 UTC
The following flaw was found in NTP:

Symmetric key encryption requires a single trusted key to be specified for each server configuration. A key specified only for one server should only work to authenticate that server, other trusted keys should be refused.

However, when symmetric key authentication is verified, there is no check that the key used is the key specified for the address, any trusted key can be used as long as the keyid references another key the systems share and that key is used to compute the MAC.

An authenticated client (A) could use this flaw to modify a packet sent between a server (B) and a client (C) using a key that is different from the one known to the client (A).

Comment 4 Martin Prpič 2016-01-20 12:01:30 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1300277]

Comment 5 Martin Prpič 2016-01-20 14:32:57 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 6 Fedora Update System 2016-01-30 18:21:07 UTC
ntp-4.2.6p5-36.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-02-21 02:24:39 UTC
ntp-4.2.6p5-36.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2016-11-03 19:33:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2583 https://rhn.redhat.com/errata/RHSA-2016-2583.html


Note You need to log in before you can comment on or make changes to this bug.